{
  "name": "overlay",
  "$schema": "../../node_modules/nx/schemas/project-schema.json",
  "projectType": "application",
  "prefix": "app",
  "sourceRoot": "apps/overlay/src",
  "tags": ["scope:overlay", "type:app"],
  "targets": {
    "build": {
      "executor": "@angular/build:application",
      "outputs": ["{options.outputPath}"],
      "options": {
        "outputPath": "dist/apps/overlay",
        "browser": "apps/overlay/src/main.ts",
        "tsConfig": "apps/overlay/tsconfig.app.json",
        "assets": [
          {
            "glob": "**/*",
            "input": "apps/overlay/public"
          }
        ],
        "styles": ["apps/overlay/src/styles.css"]
      },
      "configurations": {
        "production": {
          "fileReplacements": [
            {
              "replace": "apps/overlay/src/environments/environment.ts",
              "with": "apps/overlay/src/environments/environment.prod.ts"
            }
          ],
          "budgets": [
            {
              "type": "initial",
              "maximumWarning": "500kb",
              "maximumError": "1mb"
            },
            {
              "type": "anyComponentStyle",
              "maximumWarning": "4kb",
              "maximumError": "8kb"
            }
          ],
          "outputHashing": "all"
        },
        "development": {
          "optimization": false,
          "extractLicenses": false,
          "sourceMap": true
        }
      },
      "defaultConfiguration": "production"
    },
    "serve": {
      "continuous": true,
      "executor": "@angular/build:dev-server",
      "configurations": {
        "production": {
          "buildTarget": "overlay:build:production"
        },
        "development": {
          "buildTarget": "overlay:build:development"
        }
      },
      "defaultConfiguration": "development"
    },
    "lint": {
      "executor": "@nx/eslint:lint"
    },
    "test": {
      "executor": "@nx/vitest:test",
      "options": {
        "configFile": "apps/overlay/vitest.config.mts"
      }
    },
    "serve-static": {
      "continuous": true,
      "executor": "@nx/web:file-server",
      "options": {
        "buildTarget": "overlay:build",
        "port": 4200,
        "staticFilePath": "dist/apps/overlay/browser",
        "spa": true
      }
    }
  }
}
